> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Username Proofs API

> HTTP API for retrieving username proofs on Farcaster

## userNameProofByName

Get a proof for a username by the Farcaster username

**Query Parameters**

| Parameter | Description                           | Example                           |
| --------- | ------------------------------------- | --------------------------------- |
| name      | The Farcaster username or ENS address | `name=adityapk` OR `name=dwr.eth` |

**Example**

```bash theme={"system"}
curl http://127.0.0.1:3381/v1/userNameProofByName?name=adityapk
```

**Response**

```json theme={"system"}
{
  "timestamp": 1670603245,
  "name": "adityapk",
  "owner": "Oi7uUaECifDm+larm+rzl3qQhcM=",
  "signature": "fo5OhBP/ud...3IoJdhs=",
  "fid": 6833,
  "type": "USERNAME_TYPE_FNAME"
}
```

## userNameProofsByFid

Get a list of proofs provided by an FID

**Query Parameters**

| Parameter | Description                        | Example                   |
| --------- | ---------------------------------- | ------------------------- |
| fid       | The FID being requested            | `fid=2`                   |
| pageSize  | Optional page size (default: 1000) | `pageSize=100`            |
| pageToken | Optional page token for pagination | `pageToken=DAEDAAAGlQ...` |
| reverse   | Optional reverse order flag        | `reverse=true`            |

**Example**

```bash theme={"system"}
curl http://127.0.0.1:3381/v1/userNameProofsByFid?fid=2
```

**Response**

```json theme={"system"}
{
  "proofs": [
    {
      "timestamp": 1623910393,
      "name": "v",
      "owner": "0x4114e33eb831858649ea3702e1c9a2db3f626446",
      "signature": "bANBae+Ub...kr3Bik4xs=",
      "fid": 2,
      "type": "USERNAME_TYPE_FNAME"
    },
    {
      "timestamp": 1690329118,
      "name": "varunsrin.eth",
      "owner": "0x182327170fc284caaa5b1bc3e3878233f529d741",
      "signature": "zCEszPt...zqxTiFqVBs=",
      "fid": 2,
      "type": "USERNAME_TYPE_ENS_L1"
    }
  ]
}
```
